---
orphan: true
---

# Query runtime list

Query the specified runtime manifest.

```text
GET https://moi.matrixorigin.cn/newmoi/workspaces/{workspace_id}/agent-runtime-manifests/{manifest_id}
```

## Preparation before calling

Called using `$AI_STUDIO_API_KEY`, `$WORKSPACE_ID` and `$MANIFEST_ID`.

## Request example

```bash
curl "https://moi.matrixorigin.cn/newmoi/workspaces/$WORKSPACE_ID/agent-runtime-manifests/$MANIFEST_ID" -H "X-API-Key: $AI_STUDIO_API_KEY" -H "X-Workspace-ID: $WORKSPACE_ID"
```

## Successful response

Returns `200` and the runtime manifest on success.

```json
{"code":0,"data":{"id":"manifest_01"}}
```

The response fields are as follows.

| Field | Type | Description |
| --- | --- | --- |
| `data.id` | string | Manifest ID. |

## Error response

```json
{"code":5,"message":"manifest not found"}
```
